Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatReportReason

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatReportReason

Direct Known Subclasses:
  `TdApi.ChatReportReasonChildAbuse`, `TdApi.ChatReportReasonCopyright`, `TdApi.ChatReportReasonCustom`, `TdApi.ChatReportReasonFake`, `TdApi.ChatReportReasonPornography`, `TdApi.ChatReportReasonSpam`, `TdApi.ChatReportReasonUnrelatedLocation`, `TdApi.ChatReportReasonViolence`

Enclosing class:
  TdApi

public abstract static class TdApi.ChatReportReason extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`ChatReportReason()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatReportReason

public ChatReportReason()